| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
uiODFaultToolMan Class Reference
uiODMain

`#include <uiodfaulttoolman.h>`

Inheritance diagram for uiODFaultToolMan:
[legend]

## Public Member Functions
| uiODFaultToolMan (uiODMain &)
| ~uiODFaultToolMan ()
uiToolBar * | getToolBar ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
void | addRemoveEMObjCB (CallBacker *)
void | addRemoveVisObjCB (CallBacker *)
void | afterTransferUpdate ()
bool | areSticksAccessible () const
void | clearCurDisplayObj ()
void | colorModeChg (CallBacker *)
void | colorPressedCB (CallBacker *)
bool | currentColor () const
void | deselTimerCB (CallBacker *)
bool | displayAfterwards () const
void | displayModeChg (CallBacker *)
void | displayUpdate ()
void | editReadyTimerCB (CallBacker *)
void | editSelectToggleCB (CallBacker *)
void | enableStickAccess (bool yn)
void | enableToolbar (bool yn)
void | finalizeDoneCB (CallBacker *)
void | flashOutputName (bool error, const char *newname=0)
void | flashOutputTimerCB (CallBacker *)
void | flashReset ()
uiIOObjSel * | getObjSel ()
const uiIOObjSel * | getObjSel () const
BufferStringSet & | getOutputItems ()
bool | inheritColor () const
bool | isInCreateMode () const
bool | isInSerialMode () const
bool | isOutputDisplayed (uiSurfaceWrite *=0) const
bool | isOutputNameUsed (uiSurfaceWrite *=0) const
void | keyPressedCB (CallBacker *)
void | keyReleasedCB (CallBacker *)
void | outputActionChg (CallBacker *)
void | outputColorChg (CallBacker *)
void | outputComboSelChg (CallBacker *)
void | outputEditTextChg (CallBacker *)
void | outputSelectedCB (CallBacker *)
void | outputTypeChg (CallBacker *)
void | processOutputName ()
void | publishOutputItems ()
bool | randomColor () const
void | redoCB (CallBacker *)
bool | saveAfterwards () const
void | selectOutputCB (CallBacker *)
void | setAuxSurfaceWrite (const char *)
void | setOutputName (const char *)
void | settingsClosedCB (CallBacker *)
void | settingsToggleCB (CallBacker *)
void | showSettings (bool yn)
void | stickRemovalCB (CallBacker *)
void | surveyChg (CallBacker *)
void | transferSticksCB (CallBacker *)
void | treeItemDeselCB (CallBacker *)
void | treeItemSelCB (CallBacker *)
void | undoCB (CallBacker *)
void | updateColorMode ()
void | updateOutputItems (bool clearcuritem)
void | updateToolbarCB (CallBacker *)

## Static Protected Member Functions
static uiString | sKeyCopySelection ()
static uiString | sKeyCreateNewInSeries ()
static uiString | sKeyCreateSingleNew ()
static uiString | sKeyMergeWithExisting ()
static uiString | sKeyMoveSelection ()
static uiString | sKeyReplaceExisting ()
static uiString | sKeyToFault ()
static uiString | sKeyToFaultStickSet ()

## Protected Attributes
BufferStringSet | allfaultitems_
BufferStringSet | allfssitems_
uiODMain & | appl_
uiSurfaceWrite * | auxfaultwrite_
uiSurfaceWrite * | auxfsswrite_
uiToolButton * | colorbut_
OD::Color | colorbutcolor_
EM::ObjectID | curemid_
WeakPtr< visSurvey::FaultDisplay > | curfltd_
WeakPtr< visSurvey::FaultStickSetDisplay > | curfssd_
Timer | deseltimer_
int | editbutidx_
Timer | editreadytimer_
OD::Color | flashcolor_
BufferString | flashname_
Timer | flashtimer_
int | gobutidx_
uiComboBox * | outputactcombo_
uiComboBox * | outputnamecombo_
uiPushButton * | outputselbut_
uiComboBox * | outputtypecombo_
OD::Color | randomcolor_
int | redobutidx_
int | removalbutidx_
int | selbutidx_
bool | selectmode_
BufferStringSet | serialfaultitems_
BufferStringSet | serialfssitems_
int | settingsbutidx_
uiFaultStickTransferDlg * | settingsdlg_
uiFaultStickTransferDlg::Setup | settingssetup_
BufferStringSet | singlefaultitems_
BufferStringSet | singlefssitems_
uiToolBar * | toolbar_
bool | tracktbwashidden_
uiComboBox * | transfercombo_
int | undobutidx_
OD::Color | usercolor_
BufferString | usercolorlink_

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiODFaultToolMan()

uiODFaultToolMan::uiODFaultToolMan | ( | uiODMain & |  | ) |

## ◆ ~uiODFaultToolMan()

uiODFaultToolMan::~uiODFaultToolMan | ( |  | ) |

## Member Function Documentation

## ◆ addRemoveEMObjCB()

void uiODFaultToolMan::addRemoveEMObjCB | ( | CallBacker * |  | ) |
| protected

## ◆ addRemoveVisObjCB()

void uiODFaultToolMan::addRemoveVisObjCB | ( | CallBacker * |  | ) |
| protected

## ◆ afterTransferUpdate()

void uiODFaultToolMan::afterTransferUpdate | ( |  | ) |
| protected

## ◆ areSticksAccessible()

bool uiODFaultToolMan::areSticksAccessible | ( |  | ) | const
| protected

## ◆ clearCurDisplayObj()

void uiODFaultToolMan::clearCurDisplayObj | ( |  | ) |
| protected

## ◆ colorModeChg()

void uiODFaultToolMan::colorModeChg | ( | CallBacker * |  | ) |
| protected

## ◆ colorPressedCB()

void uiODFaultToolMan::colorPressedCB | ( | CallBacker * |  | ) |
| protected

## ◆ currentColor()

bool uiODFaultToolMan::currentColor | ( |  | ) | const
| protected

## ◆ deselTimerCB()

void uiODFaultToolMan::deselTimerCB | ( | CallBacker * |  | ) |
| protected

## ◆ displayAfterwards()

bool uiODFaultToolMan::displayAfterwards | ( |  | ) | const
| protected

## ◆ displayModeChg()

void uiODFaultToolMan::displayModeChg | ( | CallBacker * |  | ) |
| protected

## ◆ displayUpdate()

void uiODFaultToolMan::displayUpdate | ( |  | ) |
| protected

## ◆ editReadyTimerCB()

void uiODFaultToolMan::editReadyTimerCB | ( | CallBacker * |  | ) |
| protected

## ◆ editSelectToggleCB()

void uiODFaultToolMan::editSelectToggleCB | ( | CallBacker * |  | ) |
| protected

## ◆ enableStickAccess()

void uiODFaultToolMan::enableStickAccess | ( | bool | yn | ) |
| protected

## ◆ enableToolbar()

void uiODFaultToolMan::enableToolbar | ( | bool | yn | ) |
| protected

## ◆ finalizeDoneCB()

void uiODFaultToolMan::finalizeDoneCB | ( | CallBacker * |  | ) |
| protected

## ◆ flashOutputName()

void uiODFaultToolMan::flashOutputName | ( | bool | error,
|  | const char * | newname = 0 )
| protected

## ◆ flashOutputTimerCB()

void uiODFaultToolMan::flashOutputTimerCB | ( | CallBacker * |  | ) |
| protected

## ◆ flashReset()

void uiODFaultToolMan::flashReset | ( |  | ) |
| protected

## ◆ getObjSel() [1/2]

uiIOObjSel * uiODFaultToolMan::getObjSel | ( |  | ) |
| protected

## ◆ getObjSel() [2/2]

const uiIOObjSel * uiODFaultToolMan::getObjSel | ( |  | ) | const
| protected

## ◆ getOutputItems()

BufferStringSet & uiODFaultToolMan::getOutputItems | ( |  | ) |
| protected

## ◆ getToolBar()

uiToolBar * uiODFaultToolMan::getToolBar | ( |  | ) |

## ◆ inheritColor()

bool uiODFaultToolMan::inheritColor | ( |  | ) | const
| protected

## ◆ isInCreateMode()

bool uiODFaultToolMan::isInCreateMode | ( |  | ) | const
| protected

## ◆ isInSerialMode()

bool uiODFaultToolMan::isInSerialMode | ( |  | ) | const
| protected

## ◆ isOutputDisplayed()

bool uiODFaultToolMan::isOutputDisplayed | ( | uiSurfaceWrite * | = 0 | ) | const
| protected

## ◆ isOutputNameUsed()

bool uiODFaultToolMan::isOutputNameUsed | ( | uiSurfaceWrite * | = 0 | ) | const
| protected

## ◆ keyPressedCB()

void uiODFaultToolMan::keyPressedCB | ( | CallBacker * |  | ) |
| protected

## ◆ keyReleasedCB()

void uiODFaultToolMan::keyReleasedCB | ( | CallBacker * |  | ) |
| protected

## ◆ outputActionChg()

void uiODFaultToolMan::outputActionChg | ( | CallBacker * |  | ) |
| protected

## ◆ outputColorChg()

void uiODFaultToolMan::outputColorChg | ( | CallBacker * |  | ) |
| protected

## ◆ outputComboSelChg()

void uiODFaultToolMan::outputComboSelChg | ( | CallBacker * |  | ) |
| protected

## ◆ outputEditTextChg()

void uiODFaultToolMan::outputEditTextChg | ( | CallBacker * |  | ) |
| protected

## ◆ outputSelectedCB()

void uiODFaultToolMan::outputSelectedCB | ( | CallBacker * |  | ) |
| protected

## ◆ outputTypeChg()

void uiODFaultToolMan::outputTypeChg | ( | CallBacker * |  | ) |
| protected

## ◆ processOutputName()

void uiODFaultToolMan::processOutputName | ( |  | ) |
| protected

## ◆ publishOutputItems()

void uiODFaultToolMan::publishOutputItems | ( |  | ) |
| protected

## ◆ randomColor()

bool uiODFaultToolMan::randomColor | ( |  | ) | const
| protected

## ◆ redoCB()

void uiODFaultToolMan::redoCB | ( | CallBacker * |  | ) |
| protected

## ◆ saveAfterwards()

bool uiODFaultToolMan::saveAfterwards | ( |  | ) | const
| protected

## ◆ selectOutputCB()

void uiODFaultToolMan::selectOutputCB | ( | CallBacker * |  | ) |
| protected

## ◆ setAuxSurfaceWrite()

void uiODFaultToolMan::setAuxSurfaceWrite | ( | const char * |  | ) |
| protected

## ◆ setOutputName()

void uiODFaultToolMan::setOutputName | ( | const char * |  | ) |
| protected

## ◆ settingsClosedCB()

void uiODFaultToolMan::settingsClosedCB | ( | CallBacker * |  | ) |
| protected

## ◆ settingsToggleCB()

void uiODFaultToolMan::settingsToggleCB | ( | CallBacker * |  | ) |
| protected

## ◆ showSettings()

void uiODFaultToolMan::showSettings | ( | bool | yn | ) |
| protected

## ◆ sKeyCopySelection()

static uiString uiODFaultToolMan::sKeyCopySelection | ( |  | ) |
| static protected

## ◆ sKeyCreateNewInSeries()

static uiString uiODFaultToolMan::sKeyCreateNewInSeries | ( |  | ) |
| static protected

## ◆ sKeyCreateSingleNew()

static uiString uiODFaultToolMan::sKeyCreateSingleNew | ( |  | ) |
| static protected

## ◆ sKeyMergeWithExisting()

static uiString uiODFaultToolMan::sKeyMergeWithExisting | ( |  | ) |
| static protected

## ◆ sKeyMoveSelection()

static uiString uiODFaultToolMan::sKeyMoveSelection | ( |  | ) |
| static protected

## ◆ sKeyReplaceExisting()

static uiString uiODFaultToolMan::sKeyReplaceExisting | ( |  | ) |
| static protected

## ◆ sKeyToFault()

static uiString uiODFaultToolMan::sKeyToFault | ( |  | ) |
| static protected

## ◆ sKeyToFaultStickSet()

static uiString uiODFaultToolMan::sKeyToFaultStickSet | ( |  | ) |
| static protected

## ◆ stickRemovalCB()

void uiODFaultToolMan::stickRemovalCB | ( | CallBacker * |  | ) |
| protected

## ◆ surveyChg()

void uiODFaultToolMan::surveyChg | ( | CallBacker * |  | ) |
| protected

## ◆ transferSticksCB()

void uiODFaultToolMan::transferSticksCB | ( | CallBacker * |  | ) |
| protected

## ◆ treeItemDeselCB()

void uiODFaultToolMan::treeItemDeselCB | ( | CallBacker * |  | ) |
| protected

## ◆ treeItemSelCB()

void uiODFaultToolMan::treeItemSelCB | ( | CallBacker * |  | ) |
| protected

## ◆ undoCB()

void uiODFaultToolMan::undoCB | ( | CallBacker * |  | ) |
| protected

## ◆ updateColorMode()

void uiODFaultToolMan::updateColorMode | ( |  | ) |
| protected

## ◆ updateOutputItems()

void uiODFaultToolMan::updateOutputItems | ( | bool | clearcuritem | ) |
| protected

## ◆ updateToolbarCB()

void uiODFaultToolMan::updateToolbarCB | ( | CallBacker * |  | ) |
| protected

## Member Data Documentation

## ◆ allfaultitems_

BufferStringSet uiODFaultToolMan::allfaultitems_
| protected

## ◆ allfssitems_

BufferStringSet uiODFaultToolMan::allfssitems_
| protected

## ◆ appl_

uiODMain& uiODFaultToolMan::appl_
| protected

## ◆ auxfaultwrite_

uiSurfaceWrite* uiODFaultToolMan::auxfaultwrite_
| protected

## ◆ auxfsswrite_

uiSurfaceWrite* uiODFaultToolMan::auxfsswrite_
| protected

## ◆ colorbut_

uiToolButton* uiODFaultToolMan::colorbut_
| protected

## ◆ colorbutcolor_

OD::Color uiODFaultToolMan::colorbutcolor_
| protected

## ◆ curemid_

EM::ObjectID uiODFaultToolMan::curemid_
| protected

## ◆ curfltd_

WeakPtr<visSurvey::FaultDisplay> uiODFaultToolMan::curfltd_
| protected

## ◆ curfssd_

WeakPtr<visSurvey::FaultStickSetDisplay> uiODFaultToolMan::curfssd_
| protected

## ◆ deseltimer_

Timer uiODFaultToolMan::deseltimer_
| protected

## ◆ editbutidx_

int uiODFaultToolMan::editbutidx_
| protected

## ◆ editreadytimer_

Timer uiODFaultToolMan::editreadytimer_
| protected

## ◆ flashcolor_

OD::Color uiODFaultToolMan::flashcolor_
| protected

## ◆ flashname_

BufferString uiODFaultToolMan::flashname_
| protected

## ◆ flashtimer_

Timer uiODFaultToolMan::flashtimer_
| protected

## ◆ gobutidx_

int uiODFaultToolMan::gobutidx_
| protected

## ◆ outputactcombo_

uiComboBox* uiODFaultToolMan::outputactcombo_
| protected

## ◆ outputnamecombo_

uiComboBox* uiODFaultToolMan::outputnamecombo_
| protected

## ◆ outputselbut_

uiPushButton* uiODFaultToolMan::outputselbut_
| protected

## ◆ outputtypecombo_

uiComboBox* uiODFaultToolMan::outputtypecombo_
| protected

## ◆ randomcolor_

OD::Color uiODFaultToolMan::randomcolor_
| protected

## ◆ redobutidx_

int uiODFaultToolMan::redobutidx_
| protected

## ◆ removalbutidx_

int uiODFaultToolMan::removalbutidx_
| protected

## ◆ selbutidx_

int uiODFaultToolMan::selbutidx_
| protected

## ◆ selectmode_

bool uiODFaultToolMan::selectmode_
| protected

## ◆ serialfaultitems_

BufferStringSet uiODFaultToolMan::serialfaultitems_
| protected

## ◆ serialfssitems_

BufferStringSet uiODFaultToolMan::serialfssitems_
| protected

## ◆ settingsbutidx_

int uiODFaultToolMan::settingsbutidx_
| protected

## ◆ settingsdlg_

uiFaultStickTransferDlg* uiODFaultToolMan::settingsdlg_
| protected

## ◆ settingssetup_

uiFaultStickTransferDlg::Setup uiODFaultToolMan::settingssetup_
| protected

## ◆ singlefaultitems_

BufferStringSet uiODFaultToolMan::singlefaultitems_
| protected

## ◆ singlefssitems_

BufferStringSet uiODFaultToolMan::singlefssitems_
| protected

## ◆ toolbar_

uiToolBar* uiODFaultToolMan::toolbar_
| protected

## ◆ tracktbwashidden_

bool uiODFaultToolMan::tracktbwashidden_
| protected

## ◆ transfercombo_

uiComboBox* uiODFaultToolMan::transfercombo_
| protected

## ◆ undobutidx_

int uiODFaultToolMan::undobutidx_
| protected

## ◆ usercolor_

OD::Color uiODFaultToolMan::usercolor_
| protected

## ◆ usercolorlink_

BufferString uiODFaultToolMan::usercolorlink_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025